package com.allinpay.yst2.demo.tx;

import com.allinpay.yst2.demo.util.TxUtils;
import com.allinpay.yst2.demo.vo.BizParameter;
import com.allinpay.yst2.demo.vo.TxResponse;

/**
 * Created with IntelliJ IDEA
 *    线上协议签约demo
 *
 * @author gejunqing
 * @version 1.0
 * @date 2024/3/19
 */
public class Agree1050Demo extends TxDemo
{
    public static void main(String[] args) throws Exception
    {
        // 组装参数
        BizParameter bizParameter = new BizParameter();
        bizParameter.addParam("reqTraceNum", TxUtils.genReqTraceNum());
        bizParameter.addParam("signNum", "Tn40200005");
        bizParameter.addParam("memberName", "竹溪县子怡鞋店");
        bizParameter.addParam("agreementType", "2");  //1 簿记账户  2 支付账户
        bizParameter.addParam("agreementJson", "{\"cusId\":\"6601000152000Q8\",\"payAcctNo\":\"402154845096901\"}");
        //bizParameter.addParam("agreementType", "2");
        //bizParameter.addParam("agreementJson", "{\"cusId\":\"123\",\"payAcctNo\":\"123\"}");
        bizParameter.addParam("jumpPageType", "1");
        bizParameter.addParam("jumpUrl", "http://www.baidu.com");
        bizParameter.addParam("notifyUrl", "http://test.allinpay.com/open/testNotify");

        // 发送请求
        TxClient txClient = new TxClient(demoConfig);
        TxResponse txResponse = txClient.sendRequest("1050", bizParameter, demoConfig.getMemberUrl());
        // 打印响应结果
        logger.info(txResponse.getBizData());
    }
}
