package com.allinpay.yst2.demo.tx;

import com.allinpay.yst2.demo.util.TxUtils;
import com.allinpay.yst2.demo.vo.BizParameter;
import com.allinpay.yst2.demo.vo.TxResponse;

/**
 * Created with IntelliJ IDEA.
 *  线下协议上传demo
 * @author gejunqing
 * @version 1.0
 * @date 2024/3/19
 */
public class Agree1051Demo extends TxDemo
{
    public static void main(String[] args) throws Exception
    {
        // 组装参数
        BizParameter bizParameter = new BizParameter();
        bizParameter.addParam("reqTraceNum", TxUtils.genReqTraceNum());
        bizParameter.addParam("signNum", "Tc40200008");
        bizParameter.addParam("memberName", "竹溪县子怡鞋店");
        bizParameter.addParam("agreementType", "2");
        bizParameter.addParam("agreementJson", "{\"payAcctNoOpenAgreeToken\":\"3320240327141772874573646393345\",\"coopConfirmToken\":\"3320240327141772874286441426946\",\"nonNatureCusBenefitToken\":\"3320240327141772874286441426946\"}");
        bizParameter.addParam("notifyUrl", "http://test.allinpay.com/open/testNotify");

        // 发送请求
        TxClient txClient = new TxClient(demoConfig);
        TxResponse txResponse = txClient.sendRequest("1051", bizParameter, demoConfig.getMemberUrl());
        // 打印响应结果
        logger.info(txResponse.getBizData());
    }
}
