package com.allinpay.yst2.demo.tx;

import com.allinpay.yst2.demo.util.DemoSM4Utils;
import com.allinpay.yst2.demo.util.TxUtils;
import com.allinpay.yst2.demo.vo.BizParameter;
import com.allinpay.yst2.demo.vo.TxResponse;

/**
 * 个人会员实名及绑卡申请
 *
 * @author gejunqing
 * @version 1.0
 * @date 2024/1/11
 */
public class Member1010Demo extends TxDemo
{
    public static void main(String[] args) throws Exception
    {
        // 组装参数
        BizParameter bizParameter = new BizParameter();
        // 发送请求
        bizParameter.addParam("reqTraceNum", TxUtils.genReqTraceNum());
        bizParameter.addParam("signNum", "2705wxl00002");
        bizParameter.addParam("memberRole","分销方");
        bizParameter.addParam("cerType","1");

        bizParameter.addParam("cerNum", DemoSM4Utils.encryptEcb(demoConfig.getSecretKey(),""));
        bizParameter.addParam("name","");
        bizParameter.addParam("acctNum",  DemoSM4Utils.encryptEcb(demoConfig.getSecretKey(),""));

        bizParameter.addParam("phone","");
        bizParameter.addParam("bindType","8");//6-通联通协议支付，7-收银宝快捷，8-银行卡四要素
//


//        bizParameter.addParam("validDate","1299");
//        bizParameter.addParam("cvv2","333");
        bizParameter.addParam("bizOrderCode",String.valueOf(System.currentTimeMillis()));
        TxClient txClient = new TxClient(demoConfig);
        TxResponse txResponse = txClient.sendRequest("1010", bizParameter, demoConfig.getMemberUrl());
        // 打印响应结果
        logger.info(txResponse.getBizData());
    }
}
