package com.allinpay.yst2.demo.tx;

import com.allinpay.yst2.demo.util.TxUtils;
import com.allinpay.yst2.demo.vo.BizParameter;
import com.allinpay.yst2.demo.vo.TxResponse;
/**
 *
 * 平台余额查询接口
 * @author gejunqing
 * @version 1.0
 * @date 2024/1/11
 */
public class Member1026Demo extends TxDemo
{
    public static void main(String[] args) throws Exception
    {
        // 组装参数
        BizParameter bizParameter = new BizParameter();
        bizParameter.addParam("reqTraceNum", TxUtils.genReqTraceNum());
   /*     bizParameter.addParam("signNum", "JACK20240322001");
        bizParameter.addParam("memberRole", "二级商户");
        bizParameter.addParam("enterpriseNature", "2");
        bizParameter.addParam("notifyUrl", "http://www.baidu.com/");*/

        //收付通
        bizParameter.addParam("qryType","1");

        //收银宝
     /*   bizParameter.addParam("qryType","2");
        bizParameter.addParam("cusId","552290058118Y2J");//*/


        // 发送请求
        TxClient txClient = new TxClient(demoConfig);
        TxResponse txResponse = txClient.sendRequest("1026", bizParameter, demoConfig.getMemberUrl());
        // 打印响应结果
        logger.info(txResponse.getBizData());
    }
}
