package com.allinpay.yst2.demo.tx;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.alibaba.fastjson.JSON;
import com.allinpay.yst2.demo.util.TxUtils;
import com.allinpay.yst2.demo.vo.BizParameter;
import com.allinpay.yst2.demo.vo.TxResponse;

/**
 * 【单会员担保确认】
 *
 * @author gejunqing
 * @version 1.0
 * @date 2024/1/11
 */
public class Tx2091Demo extends TxDemo
{
    public static void main(String[] args) throws Exception
    {
    	 //源担保消费申请订单付款信息
    	  List<Map<String, Object>> appltList = new ArrayList<>();
          Map<String, Object> atMap1 = new HashMap<>();
         // atMap1.put("orgReqTraceNum", "202401261732145417");
         // atMap1.put("orgTransDate", "20240126");
          atMap1.put("orgRespTraceNum", "20240225155256208901295028");
          atMap1.put("orderAmount", 2);
          atMap1.put("couponAmount", 1);//平台抽佣金额
          appltList.add(atMap1);
          
          Map<String, Object> atMap2 = new HashMap<>();
          //atMap2.put("orgReqTraceNum", "202401261733046406");
          //atMap2.put("orgTransDate", "20240126");
          atMap2.put("orgRespTraceNum", "20240218143405208901531993");
          atMap2.put("orderAmount", 1);
         // appltList.add(atMap2);
    	
        //分账信息
    	  List<Map<String, Object>> sepDetail = new ArrayList<>();
          Map<String, Object> sdmap1 = new HashMap<>();
          sdmap1.put("signNum", "9665wxl202400004");
          sdmap1.put("amount", 1);
          sepDetail.add(sdmap1);
          
          Map<String, Object> sdMap2 = new HashMap<>();
          sdMap2.put("signNum", "9665wxl202400005");
          sdMap2.put("amount", 1);
//          sepDetail.add(sdMap2);
          
    	// 单会员担保确认列表
        List<Map<String, Object>> applyList = new ArrayList<>();
        Map<String, Object> map1 = new HashMap<>();
        map1.put("reqTraceNum", "wxl"+TxUtils.genReqTraceNum());
        map1.put("applyInfo", JSON.toJSONString(appltList));
        map1.put("signNum", "9665wxl202400009");
        map1.put("amount", 2);
        map1.put("couponAmount", 1);//平台抽佣金额
        map1.put("sepDetail", JSON.toJSONString(sepDetail));
        map1.put("summary", "343q434");
        map1.put("extendParams", "{\"extend\":\"abcdefghiii\"}");
        applyList.add(map1);

    	
    	// 组装参数
        BizParameter bizParameter = new BizParameter();
        bizParameter.addParam("batchNo", TxUtils.genReqTraceNum());
        bizParameter.addListParam("applyList", applyList);
        bizParameter.addParam("respUrl", "http://test.allinpay.com/open/testNotify");
        // bizParameter.addParam("extendParams", "{\"extend\":\"abcdefghiii\"}");
   

        // 发送请求
        TxClient txClient = new TxClient(demoConfig);
        TxResponse txResponse = txClient.sendRequest("2091", bizParameter);
        // 打印响应结果
        logger.info(txResponse.getBizData());
    }
}
